

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.binary_evol.simulationproperties.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.binary_evol.simulationproperties"></span><p>Simulation properties for the population class.</p>
<p>This class contains the simulation properties, e.g. flow, steps and max_time. To
evolve a binary.</p>
<dl class="py class">
<dt id="posydon.binary_evol.simulationproperties.EvolveHooks">
<em class="property">class </em><code class="sig-prename descclassname">posydon.binary_evol.simulationproperties.</code><code class="sig-name descname">EvolveHooks</code><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#EvolveHooks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.EvolveHooks" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Base class for hooking into binary evolution.</p>
<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.EvolveHooks.post_evolve">
<code class="sig-name descname">post_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#EvolveHooks.post_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.EvolveHooks.post_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after a binary exits the evolution loop.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.EvolveHooks.post_step">
<code class="sig-name descname">post_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#EvolveHooks.post_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.EvolveHooks.post_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after every evolution step.
(except for undefined next step errors)</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.EvolveHooks.pre_evolve">
<code class="sig-name descname">pre_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#EvolveHooks.pre_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.EvolveHooks.pre_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before a binary evolves.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.EvolveHooks.pre_step">
<code class="sig-name descname">pre_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#EvolveHooks.pre_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.EvolveHooks.pre_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before every evolution step.
(except for undefined next step errors)</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.binary_evol.simulationproperties.PrintStepInfoHooks">
<em class="property">class </em><code class="sig-prename descclassname">posydon.binary_evol.simulationproperties.</code><code class="sig-name descname">PrintStepInfoHooks</code><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#PrintStepInfoHooks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.PrintStepInfoHooks" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.binary_evol.simulationproperties.EvolveHooks" title="posydon.binary_evol.simulationproperties.EvolveHooks"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.binary_evol.simulationproperties.EvolveHooks</span></code></a></p>
<p>Simple example for adding extra print info</p>
<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.PrintStepInfoHooks.post_evolve">
<code class="sig-name descname">post_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#PrintStepInfoHooks.post_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.PrintStepInfoHooks.post_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after a binary exits the evolution loop.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.PrintStepInfoHooks.pre_step">
<code class="sig-name descname">pre_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#PrintStepInfoHooks.pre_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.PrintStepInfoHooks.pre_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before every evolution step.
(except for undefined next step errors)</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.binary_evol.simulationproperties.SimulationProperties">
<em class="property">class </em><code class="sig-prename descclassname">posydon.binary_evol.simulationproperties.</code><code class="sig-name descname">SimulationProperties</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">properties</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#SimulationProperties"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.SimulationProperties" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Properties of the binary evolution.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>properties</strong> (<a class="reference external" href="https://docs.python.org/3/library/constants.html#None" title="(in Python v3.9)"><em>None</em></a><em> or </em><em>instance of SimulationProperties</em>) – If None, then default values for the simulation properties are used.
If SimulationProperties object is passed, then copies its properties.</p>
</dd>
</dl>
<p>Constructor of simulation properties object.</p>
<p># TODO: most of the stuff here is obsolete, clean the function.
# NOTE: at the moment everyone passes the properties as an argument</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>properties</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – Simulation Properties class containing, e.g. flow, steps, max_time.</p></li>
<li><p><strong>extra_hooks</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)"><em>list</em></a>) – List of hooks classes or tuples containing the extra step name
{‘extra_pre_evolve’, ‘extra_pre_step’, ‘extra_post_step’,
‘extra_post_evolve’} and the corresponding function.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.SimulationProperties.load_steps">
<code class="sig-name descname">load_steps</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#SimulationProperties.load_steps"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.SimulationProperties.load_steps" title="Permalink to this definition">¶</a></dt>
<dd><p>Instantiate step classes and set as instance attributes.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – Print extra information.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/constants.html#None" title="(in Python v3.9)">None</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.SimulationProperties.post_evolve">
<code class="sig-name descname">post_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#SimulationProperties.post_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.SimulationProperties.post_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after a binary exits the evolution loop.
Uses all extra hooks classes or extra functions.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>binary</strong> (<em>instance of &lt;class</em><em>, </em><em>BinaryStar&gt;</em>) – The binary after evolution is ended.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>binary</strong></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>instance of &lt;class, BinaryStar&gt;</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.SimulationProperties.post_step">
<code class="sig-name descname">post_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#SimulationProperties.post_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.SimulationProperties.post_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after every evolution step.
Uses all extra hooks classes or extra functions.
(except for undefined next step errors)</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>binary</strong> (<em>instance of &lt;class</em><em>, </em><em>BinaryStar&gt;</em>) – The binary before evolution starts.</p></li>
<li><p><strong>step_name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – The name of the step about to be called (as defined in the flow).</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>binary</strong></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>instance of &lt;class, BinaryStar&gt;</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.SimulationProperties.pre_evolve">
<code class="sig-name descname">pre_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#SimulationProperties.pre_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.SimulationProperties.pre_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Functions called before a binary evolves.
Uses all extra hooks classes or extra functions.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>binary</strong> (<em>instance of &lt;class</em><em>, </em><em>BinaryStar&gt;</em>) – The binary before evolution starts.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>binary</strong></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>instance of &lt;class, BinaryStar&gt;</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.SimulationProperties.pre_step">
<code class="sig-name descname">pre_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#SimulationProperties.pre_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.SimulationProperties.pre_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before every evolution step.
Uses all extra hooks classes or extra functions.
(except for undefined next step errors)</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>binary</strong> (<em>instance of &lt;class</em><em>, </em><em>BinaryStar&gt;</em>) – The binary before evolution starts.</p></li>
<li><p><strong>step_name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – The name of the step about to be called (as defined in the flow).</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>binary</strong></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>instance of &lt;class, BinaryStar&gt;</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.binary_evol.simulationproperties.StepNamesHooks">
<em class="property">class </em><code class="sig-prename descclassname">posydon.binary_evol.simulationproperties.</code><code class="sig-name descname">StepNamesHooks</code><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#StepNamesHooks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.StepNamesHooks" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.binary_evol.simulationproperties.EvolveHooks" title="posydon.binary_evol.simulationproperties.EvolveHooks"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.binary_evol.simulationproperties.EvolveHooks</span></code></a></p>
<p>Adding history column ‘step_name’ to each binary.
Name of evolutionary step as defined in SimulationProperties.</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">pop</span><span class="o">.</span><span class="n">to_df</span><span class="p">(</span><span class="n">extra_columns</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;step_names&#39;</span><span class="p">])</span>
</pre></div>
</div>
<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.StepNamesHooks.post_evolve">
<code class="sig-name descname">post_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#StepNamesHooks.post_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.StepNamesHooks.post_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after a binary exits the evolution loop.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.StepNamesHooks.post_step">
<code class="sig-name descname">post_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#StepNamesHooks.post_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.StepNamesHooks.post_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after every evolution step.
(except for undefined next step errors)</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.StepNamesHooks.pre_evolve">
<code class="sig-name descname">pre_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#StepNamesHooks.pre_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.StepNamesHooks.pre_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before a binary evolves.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.StepNamesHooks.pre_step">
<code class="sig-name descname">pre_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#StepNamesHooks.pre_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.StepNamesHooks.pre_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before every evolution step.
(except for undefined next step errors)</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.binary_evol.simulationproperties.TimingHooks">
<em class="property">class </em><code class="sig-prename descclassname">posydon.binary_evol.simulationproperties.</code><code class="sig-name descname">TimingHooks</code><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#TimingHooks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.TimingHooks" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.binary_evol.simulationproperties.EvolveHooks" title="posydon.binary_evol.simulationproperties.EvolveHooks"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.binary_evol.simulationproperties.EvolveHooks</span></code></a></p>
<p>Adding history column ‘step_times’ to each binary.
Time taken to perform an evolutionary step.</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">pop</span><span class="o">.</span><span class="n">to_df</span><span class="p">(</span><span class="n">extra_columns</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;step_times&#39;</span><span class="p">])</span>
</pre></div>
</div>
<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.TimingHooks.post_evolve">
<code class="sig-name descname">post_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#TimingHooks.post_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.TimingHooks.post_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after a binary exits the evolution loop.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.TimingHooks.post_step">
<code class="sig-name descname">post_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#TimingHooks.post_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.TimingHooks.post_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called after every evolution step.
(except for undefined next step errors)</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.TimingHooks.pre_evolve">
<code class="sig-name descname">pre_evolve</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#TimingHooks.pre_evolve"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.TimingHooks.pre_evolve" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before a binary evolves.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.binary_evol.simulationproperties.TimingHooks.pre_step">
<code class="sig-name descname">pre_step</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">binary</span></em>, <em class="sig-param"><span class="n">step_name</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/binary_evol/simulationproperties.html#TimingHooks.pre_step"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.binary_evol.simulationproperties.TimingHooks.pre_step" title="Permalink to this definition">¶</a></dt>
<dd><p>Function called before every evolution step.
(except for undefined next step errors)</p>
</dd></dl>

</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>